package com.yizhi.research.application.feign;

import com.yizhi.research.application.vo.domain.TrResearchQuestionOptionVo;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

@FeignClient(name = "research", contextId = "ResearchQuestionOptionClient")
public interface ResearchQuestionOptionClient {
    /**
     * 根据调研id查询所有的选项
     * @param researchId
     * @return
     */
    @GetMapping("/trResearchQuestionOption/all")
    List<TrResearchQuestionOptionVo> listOption(@RequestParam("researchId") Long researchId);

}
