package com.yizhi.research.application.mapper;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.yizhi.research.application.vo.domain.TrResearchAnswerQuestion;
import com.yizhi.research.application.vo.domain.TrResearchQuestion;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * <p>
 * 答案题目 Mapper 接口
 * </p>
 *
 * @author shengchenglong
 * @since 2018-03-12
 */
public interface TrResearchAnswerQuestionMapper extends BaseMapper<TrResearchAnswerQuestion> {

    /**
     * 批量插入
     *
     * @param list
     * @return
     */
    int batchInsert(@Param("list") List<TrResearchAnswerQuestion> list);

    @Select("select * from tr_research_question where id in (select question_id from tr_research_answer_question " +
            " where research_id = #{researchId} and account_id =#{accountId})")
    List<TrResearchQuestion> selectListByAnswer(@Param("researchId") Long researchId, @Param("accountId")Long accountId);

}
